﻿using ModuleTools.Attributes;
using ModuleTools.ViewModels;

namespace SecurityBusinessLogic.ViewModels
{
	/// <summary>
	/// Список общих настроек системы
	/// </summary>
	public class EnviromentSettingListViewModel : ListViewModel<EnviromentSettingViewModel> { }

	/// <summary>
	/// Элемент общих настроек системы
	/// </summary>
	public class EnviromentSettingViewModel : ElementViewModel
	{
		[ViewModelOnListProperty("Ключ")]
		[ViewModelOnElementProperty("Ключ", MustHaveValue = true, ReadOnly = true)]
		[MapConfiguration("Key", AllowCopyWithoutRigth = false)]
		public string Key { get; set; }

		[ViewModelOnListProperty("Значение")]
		[ViewModelOnElementProperty("Значение", MustHaveValue = true)]
		[MapConfiguration("Value", AllowCopyWithoutRigth = false)]
		public string Value { get; set; }

		[ViewModelOnListProperty("Описание")]
		[ViewModelOnElementProperty("Описание")]
		[MapConfiguration("Description", AllowCopyWithoutRigth = false)]
		public string Description { get; set; }

		public override string ToString() => Key;
	}
}