﻿using ModuleTools.Attributes;
using ModuleTools.ViewModels;

namespace SecurityBusinessLogic.ViewModels
{
	/// <summary>
	/// Список ролей
	/// </summary>
	public class RoleListViewModel : ListViewModel<RoleViewModel> { }

	/// <summary>
	/// Элемент ролей
	/// </summary>
	public class RoleViewModel : ElementViewModel
	{
		[ViewModelOnListProperty("Название роли")]
		[ViewModelOnElementProperty("Название роли")]
		[MapConfiguration("RoleName")]
		public string RoleName { get; set; }

		[ViewModelOnListProperty("Приоритет", 100)]
		[ViewModelOnElementProperty("Приоритет")]
		[MapConfiguration("RolePriority")]
		public int RolePriority { get; set; }

		public override string ToString() => RoleName;
	}
}