﻿using DesktopTools.Controls;
using DesktopTools.Models;
using ModuleTools.BusinessLogics;
using ModuleTools.Enums;
using SecurityBusinessLogic.BindingModels;
using SecurityBusinessLogic.BusinessLogics;
using SecurityBusinessLogic.ViewModels;
using System;

namespace SecurityWindowsDesktop.Controls
{
	public partial class RolesControl : GenericControlEntityList<RoleGetBindingModel, RoleSetBindingModel, RoleListViewModel, RoleViewModel, RoleBusinessLogic>
	{
		public RolesControl() : base()
		{
			InitializeComponent();
			Title = "Роли";
			ControlId = new Guid("6a33ce5c-e950-4294-9f75-2a0b35941bf7");
			Order = 1;
			AccessOperation = AccessOperation.Роли;
		}

		public override BaseControlViewEntityList Clone() => new RolesControl() { ControlId = Guid.NewGuid() };

		protected override ControlViewEntityListConfiguration GetConfig() => new()
		{
			PaginationOn = false
		};

		protected override RoleListViewModel GetData()
		{
			var list = _businessLogic.GetList(new RoleGetBindingModel());
			return list;
		}
	}
}